# OgreAnimationState.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include "OgreController.h"`
`#include "OgreIteratorWrappers.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Typedefs

typedef std::map< String, AnimationState * > | AnimationStateMap
typedef MapIterator< AnimationStateMap > | AnimationStateIterator
typedef ConstMapIterator< AnimationStateMap > | ConstAnimationStateIterator
typedef std::list< AnimationState * > | EnabledAnimationStateList
typedef ConstVectorIterator< EnabledAnimationStateList > | ConstEnabledAnimationStateIterator

## Typedef Documentation

typedef MapIterator<AnimationStateMap> Ogre::AnimationStateIterator

| Definition at line 169 of file OgreAnimationState.h.

typedef std::map<String, AnimationState*> Ogre::AnimationStateMap

| Definition at line 168 of file OgreAnimationState.h.

typedef ConstMapIterator<AnimationStateMap> Ogre::ConstAnimationStateIterator

| Definition at line 170 of file OgreAnimationState.h.

typedef ConstVectorIterator<EnabledAnimationStateList> Ogre::ConstEnabledAnimationStateIterator

| Definition at line 173 of file OgreAnimationState.h.

typedef std::list<AnimationState*> Ogre::EnabledAnimationStateList

| Definition at line 172 of file OgreAnimationState.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:44 2009